#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoord;
layout (std140) uniform Matrices
{
	mat4 projection;
	mat4 view;
};

out vec2 texCoord;

void main()
{
	texCoord = aTexCoord;
	gl_Position = projection * vec4(aPos.xyz, 1.0);

}
